function [t,y]=euler_verfahren(t_0,y_0,t_end,h,f);
% [t,y]=euler_verfahren(t_0,y_0,t_end,h,f);
%
% Euler Verfahren
% Programm loest die AWA
%    y'=f(t,y)   y(t_0)=y_0
% auf dem Intervall [t_0,t_end] mittels dem Eulerverfahren zur Schrittweite h.
% Dabei wird die Funktion f als function-handle uebergeben.
%
% input: 
%   t_0:    t-Startwert
%   y_0:    y-Startwert
%   t_end:  Intervallende
%   h:      Schrittweite
%   f:      function handle zur DGL-Funktion y'=f(t,y)
% output:
%   t:      Vektor aller verwendeten t_i=t_0+(i-1)*h
%   y:      Vektor der alle Approximationen y_i an die Loesung y(t_i)

% Hinweise:
% Die Funktion f kann einfach durch den Aufruf f(t,y) ausgewertet werden.
% z.B. f(0,2)

% Die folgenden Zeilen dienen nur dazu, dass das urspruengliche Programm
% keine Fehlermeldung ausgibt. Sie muessen bei der Ueberarbeitung 
% entfernt werden.

disp('Euler-Verfahren noch nicht ueberarbeitet!');
t=1:100;
y=1:100;